<form [formGroup]="form">
  <div>
    <ng-content></ng-content>
  </div>
  <div>
    <ttip-input-text formControlName="login" [type]="formData.loginData.type" [label]="formData.loginData.label">
    </ttip-input-text>
    <span *ngIf="form.get('login')?.touched && this.form.get('login')?.dirty">
      <p class="error-message" *ngIf="form.get('login')?.hasError('required')">Take down your Login</p>
    </span>
  </div>
  <div>
    <ttip-input-text
      formControlName="password"
      [type]="formData.passwordData.type"
      [label]="formData.passwordData.label"
      [icon]="formData.passwordData.icon"
      (changeIcon)="passwordView()"
    >
    </ttip-input-text>
    <span *ngIf="form.get('password')?.touched && this.form.get('password')?.dirty">
      <p class="error-message" *ngIf="form.get('password')?.hasError('required')">Take down your password</p>
    </span>
  </div>
  <div>
    <ttip-action-button
      [color]="button.color"
      [type]="button.type"
      [placeholder]="button.placeholder"
      (click)="submitForm()"
    ></ttip-action-button>
  </div>
</form>
